Subject: Re: [art] [Last-Call] Artart last call review of draft-ietf-i2nsf-nsf-monitoring-data-model-12

From: Francesca Palombini <[email-masked]>
Date: Wed, 16 Feb 2022 20:51:07 +0000

Valery: thank you for this review, and for catching the need for a language tag, which was a good addition. As a follow up to the revision, I have balloted DISCUSS because I believe the tag should not be completely optional and left to the implementation when textual fields are present, as the authors have written. I also have a point about the use of certain HTTP header fields that I hope can be clarified before the document moves forward.

Francesca

From: last-call <[email-masked]> on behalf of Valery Smyslov via Datatracker <[email-masked]>
Date: Tuesday, 30 November 2021 at 15:44
To: [email-masked] <[email-masked]>
Cc: [email-masked] <[email-masked]>, [email-masked] <[email-masked]>, [email-masked] <[email-masked]>
Subject: [Last-Call] Artart last call review of draft-ietf-i2nsf-nsf-monitoring-data-model-12
Reviewer: Valery Smyslov
Review result: Ready with Issues

I am the assigned ART directorate reviewer for this document. These comments
were written primarily for the benefit of the ART area directors.  Document
editors and WG chairs should treat these comments just like any other last call
comments.

The document defines an information model and the YANG data model for an
interface used for monitoring Network Security Functions in the I2NSF framework.

Issues.

1. The YANG Data Model contains human-readable strings, like "src-user",
"message", etc. From description of thees fields they seem to contain a
free-form text with no indication in which language it is written. Section 4.2
of BCP 18 requires that protocols that transfer text MUST provide for carrying
information about the language of that text (e.g. via language tags).

2. There are a number of 32-bit counters in the model. In high performance
networks they would wrap around after a relatively short period of time. It is
not clear how this situation is handled.

--
last-call mailing list
[email-masked]
https://www.ietf.org/mailman/listinfo/last-call